Debian Bug report logs - #589051
FTBFS: cross-dep with libtest-minimumversion-perl and libfile-find-rule-perl-perl

version graph

Package: libperl-minimumversion-perl; Maintainer for libperl-minimumversion-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libperl-minimumversion-perl is src:libperl-minimumversion-perl.

Reported by: Mounaam <mounaam@gmail.com>

Date: Wed, 14 Jul 2010 15:12:02 UTC

Severity: normal

Found in version 1.25

Fixed in version libperl-minimumversion-perl/1.25-2

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589051; Package libperl-minimumversion-perl. (Wed, 14 Jul 2010 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mounaam <mounaam@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 14 Jul 2010 15:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mounaam <mounaam@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: cross-dep with libtest-minimumversion-perl and libfile-find-rule-perl-perl
Date: Wed, 14 Jul 2010 19:10:33 +0200
Package: libperl-minimumversion-perl
Version: 1.25
Severity: serious
Justification: no longer builds from source


Hi,

can't backport from (testing) source following packages because of cross-dependencies:
- libtest-minimumversion-perl 0.101080 needs:
  libperl-minimumversion-perl (>= 1.20)
  libfile-find-rule-perl-perl

- libperl-minimumversion-perl 1.25 needs:
  libtest-minimumversion-perl (>= 0.101080)
  libfile-find-rule-perl-perl (>= 1.04)

- libfile-find-rule-perl-perl 1.09 needs:
  libperl-minimumversion-perl (>= 1.20)
  libtest-minimumversion-perl (>= 0.008)

Regards,
Mounaam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589051; Package libperl-minimumversion-perl. (Wed, 14 Jul 2010 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mounaam <mounaam@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 14 Jul 2010 15:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 589051@bugs.debian.org (full text, mbox):

From: Mounaam <mounaam@gmail.com>
To: 589051@bugs.debian.org
Subject: Re: Bug#589051: Acknowledgement (FTBFS: cross-dep with libtest-minimumversion-perl and libfile-find-rule-perl-perl)
Date: Wed, 14 Jul 2010 17:18:06 +0200
Created #589052 for libfile-find-rule-perl-perl.

Regards,
Mounaam




Severity set to 'normal' from 'serious' Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 14 Jul 2010 16:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589051; Package libperl-minimumversion-perl. (Wed, 14 Jul 2010 16:30:14 GMT) Full text and rfc822 format available.

Message #15 received at 589051@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 589051@bugs.debian.org, 589051-submitter@bugs.debian.org
Subject: Bug in libperl-minimumversion-perl fixed in revision 60295
Date: Wed, 14 Jul 2010 16:29:30 +0000
tag 589051 + pending
thanks

Some bugs are closed in revision 60295
by Ansgar Burchardt (ansgar-guest)

Commit message:

* No longer run author tests. Remove build-dep on libtest-pod-perl,
  libtest-cpan-meta-perl, libpod-simple-perl, libtest-minimumversion-perl.
  (Closes: #589051)
* Bump Standards-Version to 3.9.0 (no changes).




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 14 Jul 2010 16:30:16 GMT) Full text and rfc822 format available.

Message sent on to Mounaam <mounaam@gmail.com>:
Bug#589051. (Wed, 14 Jul 2010 16:30:18 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Wed, 14 Jul 2010 17:33:07 GMT) Full text and rfc822 format available.

Notification sent to Mounaam <mounaam@gmail.com>:
Bug acknowledged by developer. (Wed, 14 Jul 2010 17:33:07 GMT) Full text and rfc822 format available.

Message #25 received at 589051-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 589051-close@bugs.debian.org
Subject: Bug#589051: fixed in libperl-minimumversion-perl 1.25-2
Date: Wed, 14 Jul 2010 17:32:21 +0000
Source: libperl-minimumversion-perl
Source-Version: 1.25-2

We believe that the bug you reported is fixed in the latest version of
libperl-minimumversion-perl, which is due to be installed in the Debian FTP archive:

libperl-minimumversion-perl_1.25-2.debian.tar.gz
  to main/libp/libperl-minimumversion-perl/libperl-minimumversion-perl_1.25-2.debian.tar.gz
libperl-minimumversion-perl_1.25-2.dsc
  to main/libp/libperl-minimumversion-perl/libperl-minimumversion-perl_1.25-2.dsc
libperl-minimumversion-perl_1.25-2_all.deb
  to main/libp/libperl-minimumversion-perl/libperl-minimumversion-perl_1.25-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated libperl-minimumversion-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 15 Jul 2010 01:29:01 +0900
Source: libperl-minimumversion-perl
Binary: libperl-minimumversion-perl
Architecture: source all
Version: 1.25-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 libperl-minimumversion-perl - module to determine minimum required version of perl required
Closes: 589051
Changes: 
 libperl-minimumversion-perl (1.25-2) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * No longer run author tests. Remove build-dep on libtest-pod-perl,
     libtest-cpan-meta-perl, libpod-simple-perl, libtest-minimumversion-perl.
     (Closes: #589051)
   * Bump Standards-Version to 3.9.0 (no changes).
 .
   [ gregor herrmann ]
   * Lower debhelper build dependency to 7, since there are no more overrides
     in debian/rules.
Checksums-Sha1: 
 a4ee21124ff3ab6bb5b5b0a342863c32d356258c 2551 libperl-minimumversion-perl_1.25-2.dsc
 715fc906effd5ec16d30aed538b66898cc3ed360 3044 libperl-minimumversion-perl_1.25-2.debian.tar.gz
 b395a594cd8b16e94fbb1831cd1d4db973312267 23462 libperl-minimumversion-perl_1.25-2_all.deb
Checksums-Sha256: 
 92d628760e16611710bd8c68e503a8333c84c75d4f4a1bc683a8d1e237f3910c 2551 libperl-minimumversion-perl_1.25-2.dsc
 f4fc7b859b69a3b2b0fc991c8e7bbba5c06e3ed9d448c0cd85b92174a11b6105 3044 libperl-minimumversion-perl_1.25-2.debian.tar.gz
 6b4dda370fe057b75c4d58a620eb820b13314e4730f4f15e35d288e7739db8eb 23462 libperl-minimumversion-perl_1.25-2_all.deb
Files: 
 0fabdb252c532e7c57775ca63d485587 2551 perl optional libperl-minimumversion-perl_1.25-2.dsc
 0fd77edb4c68cd61d9eb410e4d0dc0ca 3044 perl optional libperl-minimumversion-perl_1.25-2.debian.tar.gz
 90c9efa39396a5eb4c0d2effd7df55c7 23462 perl optional libperl-minimumversion-perl_1.25-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMPfI6AAoJELs6aAGGSaoGCpsQALSqtb0NPeeC7RZvToNVt1M/
J6MZ7lh+vNba7Lfuua+L+jDYdJEjJ7FpAzBlyK9+/iRbNPCgSa/saKZCkH+TwLS/
nLBXvP2KPOZW3tFB4Ym2qOajrT7J7UqE9/Ge8VTaJ66O6HccvcOzHljdi7dyKaou
HmXfPUykkTX1vNV3R6opRVe+8vBJI/aY2VB8T6XgowXzfCptCFGJKkLME8c8j9i3
X+2yU4rZQoMoVaw9WBpcWDaYkwP4EhXNiiv8T/HDteHKoZla2XNjKPKL24FZAoic
/mwHTkBQVUh8/y+U/P4lfjaqVIzjEt+ysBhLc9c6puvJth+G1QkTpCllRzk403xu
sUmhFRsycxxJ6zHklly3F87VNURvh9ORM7PJLmYuCogvfj8O/PHJLrstKDYVt+kT
R8SmxsqyTl4CEOHO1a6n88yH4ep7M8MCehrAfNpdhthfN+o4oQbT8L9HLkB/JG5y
pfdiczyFuojPB9PqFKIeL8h6nIgvbBnTRHy9YGszTL5rra+aI5amxBdxXiqvIMJX
zTYkkf2ZhXj7Qc70HCU+wf4NUaZD9bJsGB+rEugAvfNEskcMVN1ltMPmKrRYGjRY
vaMzhh4/3un6TU0el98cc13yUAHHWDZs3JRH74/SDgQTxPMAVKD7FdRfUgSlaSV6
q48odnqkG2loXotl+MCy
=Hu1e
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Aug 2010 07:34:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:21:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.